Package Details: ros-melodic-desktop-full 1.4.1-2

Git Clone URL: https://aur.archlinux.org/ros-melodic-desktop-full.git (read-only, click to copy)
Package Base: ros-melodic-desktop-full
Description: ROS - A metapackage to aggregate several packages.
Upstream URL: https://github.com/ros/metapackages
Keywords: melodic morena robot robotics ros
Licenses: BSD
Submitter: GPereira
Maintainer: bionade24 (jwhendy)
Last Packager: bionade24
Votes: 12
Popularity: 0.048160
First Submitted: 2018-05-13 18:47
Last Updated: 2020-09-21 17:26

Pinned Comments

bionade24 commented on 2019-04-09 19:13

We moved our Development to Github: https://github.com/ros-melodic-arch Please open issues there instead of commenting.

ROS binary Repo (Thirdparty):
pacman-key --recv-keys CB222E7EBC11D682AAC8B317A4A0D73114FDE6FC
pacman-key --edit-key CB222E7EBC11D682AAC8B317A4A0D73114FDE6FC
Add this to your pacman.conf:

[oscloud]
Server = http://repo.oscloud.info/

Please vote for getting these packages into community repo.

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 8 Next › Last »

drapostolski commented on 2019-01-23 21:49

I am trying to install this package via the Manjaro Software Manjaro from the AUR, but I am getting the error :

ImportError: "from catkin_pkg.package import parse_package" failed: No module named 'catkin_pkg' Make sure that you have installed "catkin_pkg", it is up to date and on the PYTHONPATH (the full error message is posted here: https://answers.ros.org/question/313134/manjaro-arch-cmake-error-when-installing-ros-melodic-desktop-full/)

I have tried to install this package with having python2-catkin_pkg installed (no catkin_pkg in python 3), and with having python-catkin_pkg installed (no catkin_pkg in python 2), but I get the same error.

Can anyone help?
@bionade24 how did you solve this problem ?

krukai commented on 2019-01-22 21:44

@bionade24 Thank you for taking over! I'd gladly sponsor you some of your namesake.

bionade24 commented on 2019-01-19 06:57

Hello, I'm the new maintainer. I'm busy at this weekend now, but I'll hope I can fix everything until Wednesday. Submissions & Co-Maintainers are welcome!

bionade24 commented on 2019-01-14 18:56

Why are those packages now orphaned? Does @GPereira not wnat to pack them anymore?

bionade24 commented on 2019-01-13 20:14

The problem I specified in my post before isn't related to rostime, it's a catkin problem. After removing -lpthread out of opt/ros/melodic/share/cpp_common/cmake/cpp_commonConfig.cmake:119 it works, and libboost_thread.so is still there, so there schould be thread support. Is this an upstream issue ? But please correct me if I did bullshit.

Edit: Does work when changing -lpthread to pthread Edit_2: There are multiple files which set the libraries for various packages, some are always regenerating, so no chance to change them. But all have the comment # generated from catkin/cmake/template/pkgConfig.cmake.in. Where can I find this file, since grep finds nothing?

GPereira commented on 2019-01-12 19:45

Or explain what you did.

GPereira commented on 2019-01-12 19:44

Have you got it working? If so, please submit a patch

bionade24 commented on 2019-01-12 19:42

I got this error:

Project 'rostime' tried to find library '-lpthread'.  The library is
  neither a target nor built/installed properly.  Did you compile project
  'cpp_common'? Did you find_package() it before the subdirectory containing
  its code is included?

The problem was discussed on Github. Can you please fix that?

GPereira commented on 2018-12-09 21:45

This is an upstream issue since OpenCV 4 just came out, will be fixed soon and when it does I will update it

galunid commented on 2018-12-09 20:51

I get the following error: CMake Error at CMakeLists.txt:16 (find_package): Could not find a configuration file for package "OpenCV" that is compatible with requested version "3".

The following configuration files were considered but not accepted:

/lib64/cmake/opencv4/OpenCVConfig.cmake, version: 4.0.0
/lib/cmake/opencv4/OpenCVConfig.cmake, version: 4.0.0
/usr/lib64/cmake/opencv4/OpenCVConfig.cmake, version: 4.0.0
/usr/lib/cmake/opencv4/OpenCVConfig.cmake, version: 4.0.0

-- Configuring incomplete, errors occurred!
See also "/home/proxpxd/.cache/yay/ros-melodic-cv-bridge/src/build/CMakeFiles/CMakeOutput.log".
See also "/home/proxpxd/.cache/yay/ros-melodic-cv-bridge/src/build/CMakeFiles/CMakeError.log".